> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoform.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reactivate a team member

> Reactivate a deactivated team member. The member gets the previous role back.

> [!NOTE]
>
> Replace `{your-subdomain}` with your workspace’s subdomain. \
> Learn how to find your subdomain in [Workspace subdomain](https://apidocs.neetoform.com/api/workspace-subdomain.md).


## OpenAPI

````yaml bundled/deactivated-team-members.yaml PATCH /deactivated_team_members/{id}/reactivate
openapi: 3.0.3
info:
  title: NeetoForm Deactivated Team Members APIs
  version: 2.0.0
servers:
  - description: NeetoForm APIs
    url: https://{your-subdomain}.neetoform.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
tags:
  - name: Team Members
    description: APIs to manage team members in the workspace.
paths:
  /deactivated_team_members/{id}/reactivate:
    patch:
      tags:
        - Team Members
      summary: Reactivate a team member
      description: >-
        Reactivate a deactivated team member. The member gets the previous role
        back.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - in: path
          name: id
          description: >-
            Id of the deactivated team member. You can get it by using the [List
            deactivated team members](/api/team-members/list-deactivated) API.
          required: true
          schema:
            type: string
            example: 3c4d5e6f-7a8b-4c9d-0e1f-2a3b4c5d6e7f
      responses:
        '200':
          description: OK - Team member reactivated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/team_member'
              example:
                id: 3c4d5e6f-7a8b-4c9d-0e1f-2a3b4c5d6e7f
                email: sam@example.com
                first_name: Sam
                last_name: Smith
                time_zone: Asia/Kolkata
                profile_image_url: null
                active: true
                organization_role: Standard
        '404':
          description: Not Found - No deactivated team member has this ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error_response'
              example:
                error: User does not exist.
        '422':
          description: Unprocessable Entity - The team member could not be reactivated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error_response'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
  schemas:
    team_member:
      type: object
      properties:
        id:
          type: string
        email:
          type: string
        first_name:
          type: string
        last_name:
          type: string
        time_zone:
          type: string
        profile_image_url:
          type: string
          nullable: true
        organization_role:
          type: string
        active:
          type: boolean
    error_response:
      type: object
      properties:
        error:
          type: string

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.